From: <a href="/blend/av.cgi?id=220">wolfscreamer</a><BR>
Date: 3 July 2011<P>

Sadly for me this will be my last post here.I know in reality this is a site for human love but love between humans can also be felt for our pets.I made the decision to have my lil girl cat neuterd cos her crying all day drove me crazy.Sadly she did not survive and having brought here home the next day  I found her dead on her favourite cushion.Love for people as we all know here can be hard wether it,s good or bad. I listened to her weak cries and just wanted to hear the annoying ones again but I will not hear again.The sadness I feel right now is far more than my loss for my human love becauase I caused it.   
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 3 July 2011<P>

Wolfscreamer you didn't cause it. You tried to prevent what would have happened if you had not had her fixed.  I've known the sadness of a beloved pet dieing. (many times over) It's hard to deal with for a fact. I know your pain is sharp but there are many more pets that need a good home and after you grieve you need to look for one that suits you. (believe me you will be glad you did) <BR>
But don't blame yourself for doing the right thing. Sometimes things happen that we don't anticipate and have no control over.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=2043">KindredSpirit</a><BR>
Date: 3 July 2011<P>

Wolfscreamer, I agree with B.K. You didn&#146;t cause it, sometimes things like that just happen.  The pain from the loss of a pet ranks right up there with the loss of any other loved one, I have also experienced it. Time will smooth the sharp edges, hang in there.<BR>
<BR>
ks
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 3 July 2011<P>

Wolfscreamer,<BR>
<BR>
Love is love is love. I have never read any small print on the Blender that says, all publications must be for human love only. Yes, romantic....but aren't we all? Otherwise, we would not write poetry.<BR>
<BR>
I am sorry for the loss of your pet. You cared for her in the best way possible. Sometimes there are things we do not know...and cannot know (who knows what was going on inside her little body?!). It is the mystery of life.<BR>
<BR>
**Hugs**
<HR>